import request from "../../../../../../core/utils/request";
import { accountinfoUrl } from "../../../../../../core/utils/constants";
Component({
  data: {
    accountBalance: '',
    name: '',
    idCardNo: '',
    status: '',
    company: '',
    individualNo: '',
    InsuredTime: '',
    InsuredArea: ''
  },

  async didMount() {
    const params = {
      isShowLoadig: true,
      isShowError: true,
      method: 'GET',
      url: accountinfoUrl
    };
    const [err, res = {}] = await request(params);
    if (err) return;
    console.log('[err, res]', [err, res]);
    this.setData({ ...res
    });
  },

  methods: {
    onChangeEye() {
      this.setData({
        showAmount: !this.data.showAmount
      });
    }

  }
});